<?php  
	include "conexion.php";
	include "insertar_log.php";

	$secuencia = $_GET['secuencia'];
	$id_aplicacion = $_GET['id_aplicacion'];
	//$secuencia = "584";
	$id_transaccion=0;
	$id_venta=0;
	$cuantos=0;
	$error = "";
	$control =0;
	$res_original =0;
	$par_periferico_control =0;
	$par_solo_periferico = 0;
	$vencimiento_cuantos = 0;
	$req_dato = "";

	$datos = " Ingresa a obtener_respuesta_inicio_transaccion secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);

	$sql = "SELECT ";
	$sql .="id_equipo_clase, ";
	$sql .="id_equipo, ";
	$sql .="id_comando, ";
	$sql .="res_dato, ";
	$sql .="req_dato, ";
	$sql .="estado ";
	$sql .="from ";
	$sql .="comandos ";
	$sql .="where ";
	$sql .="id_aplicacion= ".$id_aplicacion." and ";
	$sql .="id_secuencia= ".$secuencia." ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar comando secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(1,"Error al consultar comando","");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$_id_equipo_clase = $row['id_equipo_clase'];
        $_id_equipo = $row['id_equipo'];
        $_id_comando = $row['id_comando'];
        $_dato = $row['res_dato'];
        $req_dato = $row['req_dato'];
        $estado = $row['estado'];
        $control = 1;
    }

    $resultado->free();

    if($control==0)
    {	
    	$datos = " No existe ";	
		insertarLog($datos,$id_aplicacion);
    	echo response(2,"No existe","");
        return;

    }

    if($control==1)
    {
    	if($estado==1||$estado==0)
    	{
    		$datos = " Procesando... ";	
			insertarLog($datos,$id_aplicacion);
    		echo response(1,"Procesando","");
	        return;
    	}

    	

    	$sql = "delete from ";
	    $sql .= "gaslight.comandos ";
	    $sql .= "where ";
	    $sql .= "id_aplicacion = ".$id_aplicacion." and ";
	    $sql .= "id_secuencia = ".$secuencia." ";

	     $resultado = $conexion->query($sql); 

	    if($resultado == false)
	    {
	    	$datos = " Error al eliminar comando... ";	
			insertarLog($datos,$id_aplicacion);
	        echo response(1,"Error al eliminar comando","");
	        return;
	    }
	    $datos = " Elimino el comando secuencia: ".$secuencia;	
			insertarLog($datos,$id_aplicacion);

	    $arreglo = explode("|", $_dato);

	    $res_original = $arreglo[0];
	    $par_periferico_control= $arreglo[18];

	    if ($arreglo[0] > 45212 && $par_periferico_control == 1) 
	    {
	    	$par_solo_periferico = 1;
	    	$arreglo[0]=0;
	    }

	    if($arreglo[9] <= 0 && $par_periferico_control == 1)
	    {
	    	$par_solo_periferico = 1;
	    	$arreglo[0]=0;
	    }


	    if ($arreglo[0] > 0)
	    {
	    	$sql = "select ";
	    	$sql .= "descripcion ";
	    	$sql .= "from ";
	    	$sql .= "errores ";
	    	$sql .= "where ";
	    	$sql .= "codigo=".$arreglo[0];

	    	$resultado = $conexion->query($sql);

		    if(!$resultado) 
		    {
		    	$datos = " Error al consultar error: ".$arreglo[0];	
				insertarLog($datos,$id_aplicacion);
		        echo response(2,"Error al consultar error","");
		        return;
		    }
			
		    while ($row=$resultado->fetch_assoc())
		    {
		    	$error = $row['descripcion'];
		    }

		    $resultado->free();
	    }
	    
    	$respuesta["par_odometro"] = $arreglo[1];
    	$respuesta["par_nip"] = $arreglo[2];
    	$respuesta["par_referencia"] = $arreglo[3];
    	$respuesta["par_fijo_control"] = $arreglo[4];
    	$respuesta["par_fijo_cantidad"] = $arreglo[5];
    	$respuesta["par_producto_control"] = $arreglo[6];
    	$respuesta["par_producto_id"] = $arreglo[7];
    	$respuesta["par_monto_max"] = $arreglo[8];
    	$respuesta["par_volumen_max"] = $arreglo[9];
    	$respuesta["par_descripcion"] = $arreglo[10];
    	$respuesta["par_marca"] = $arreglo[11];
    	$respuesta["par_modelo"] = $arreglo[12];
    	$respuesta["par_placa"] = $arreglo[13];
    	$respuesta["par_numero_economico"] = $arreglo[14];
    	$respuesta["par_saldo"] = $arreglo[15];
    	$respuesta["par_tag_no_manual"] = $arreglo[16];
    	$respuesta["par_id_cliente"] = $arreglo[17];
    	$respuesta["par_periferico_control"] = $arreglo[18];
    	$respuesta["par_capacidad_tanque"] = $arreglo[19];
    	$respuesta["par_inventario_producto_uno"] = $arreglo[20];
    	$respuesta["par_inventario_producto_dos"] = $arreglo[21];
    	$respuesta["par_inventario_producto_tres"] = $arreglo[22];
    	$respuesta["par_vencimiento"] = $arreglo[23];
    	$respuesta["par_vencimiento_fecha"] = $arreglo[24];
    	$respuesta["par_vencimiento_monto"] = $arreglo[25];
    	$respuesta["par_vencimiento_volumen"] = $arreglo[26];
    	$respuesta["par_solo_periferico"] = $par_solo_periferico;
    	$respuesta["res_original"] = $res_original;

    	$sql = "SELECT ";
		$sql .="count(*) cuantos ";
		$sql .="from ";
		$sql .="choferes ";
		$sql .="where ";
		$sql .="id_cliente= ".$arreglo[17]." and ";
		$sql .="estatus=1 ";

		$resultado = $conexion->query($sql);

	    if(!$resultado) 
	    {
	    	$datos = " Error al obtener choferes ";	
			insertarLog($datos,$id_aplicacion);
	        echo response(1,"Error al consultar comando","");
	        return;
	    }
		
	    while ($row=$resultado->fetch_assoc())
	    {
	    	$cuantos = $row['cuantos'];
	    }

	    $resultado->free();

	    $respuesta["cuantos_choferes"] = $cuantos;

	    if ($respuesta["par_vencimiento"] == 1) {

	    	$arreglo2 = explode("|", $req_dato);

	    	$sql ="select ";
			$sql .= "count(*) cuantos ";
			$sql .= "from ";
			$sql .= "bombas ";
			$sql .= "where ";
			$sql .= "tran_tag = '" .$arreglo2[1]. "' ";
			$sql .= "and estado in(5,6) ";

			$resultado = $conexion->query($sql);

		    if(!$resultado) 
		    {
		    	$datos = " Error al obtener multidespacho ";	
				insertarLog($datos,$id_aplicacion);
		        echo response(1,"Error al consultar comando","");
		        return;
		    }
			
		    while ($row=$resultado->fetch_assoc())
		    {
		    	$vencimiento_cuantos = $row['cuantos'];
		    }

		    $resultado->free();

		    if ($vencimiento_cuantos > 0) 
		    {
		    	 echo response(49999,"No se Permite Multidespacho","");
    			return;    
		    }
	    }

    	echo response($arreglo[0],$error,json_encode($respuesta));
    	return;    
    }

     $datos = " Termina Proceso obtener_respuesta_inicio_transaccion";	
			insertarLog($datos,$id_aplicacion);
    echo response(0,"","");
	return;

    
	
	


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
?>